Dokploy

Preview Deployment

GET
/previewDeployment.all

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

applicationId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/previewDeployment.all?applicationId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/previewDeployment.delete

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

previewDeploymentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/previewDeployment.delete" \  -H "Content-Type: application/json" \  -d '{    "previewDeploymentId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/previewDeployment.one

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

previewDeploymentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/previewDeployment.one?previewDeploymentId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}